Subject: Re: [Bitcoin-development] [Bulk] Re: Fwd: Block Size Increase Requirements

From: gb <[email-masked]>
Date: Mon, 01 Jun 2015 01:31:25 +1200

Aren't you calculating bandwidth for a singly-connected node? A "highly
connected" miner could have 30-100 node connections so you probably need
to increase your traffic estimates by that factor.

I.e. For 100MB blocks, 30-100 Mbps and $60-$100 per day data costs.

> You should be able to handle 20MB blocks no problem; if I round up to
> 100MB per block that works out to 1.3Mbps.
> 
> 
>         We also use Aliyun and Linode cloud services for block
>         propagation. As of May 2015, the price is 0.13 U.S. dollars
>         per GB for
>         100Mbps connectivity at Aliyun.
> 
> 
> That speed will handle 20MB blocks no problem.
> 
> 
> If each 20MB block is 100MB of data up/down the wire (I'm vastly
> over-estimating, after optimization it should be 40MB) then you'll be
> paying...uhhh:
> 
> 
> 0.1 GB / block-data-on-wire * 144 blocks/day * 30.5 days/month * 0.13
> $ / GB = $57
> 
> 
> Less than $2 per day in bandwidth.
>  
>         For a single cross-border TCP
>         connection, it would be certainly far slower than 12.5 MB/s. 
> 
> 
> That's OK, you'll 1.3Mbps or less

> -- 
> --
> Gavin Andresen
> 
> ------------------------------------------------------------------------------
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development